This commit is contained in:
Santiago Lo Coco 2022-02-08 01:38:59 -03:00
parent 11efa1095d
commit 95c4b979c5
1 changed files with 11 additions and 1 deletions

View File

@ -1,6 +1,6 @@
#!/usr/bin/env bash
runScript() {
updateSubmodules() {
git submodule update --remote --merge
gitStatus=$(git status --porcelain)
grep -q "sadedot" <(echo "$gitStatus") || return
@ -8,4 +8,14 @@ runScript() {
git push
}
runScript() {
lastFolder=$(pwd -P)
sadedotParentFolder=$(pwd -P | awk '{ sub(/\/sadedot.*/, ""); print }')
cd "$sadedotParentFolder" || { echo "Couldn't cd into '$sadedotParentFolder'." 1>&2 && exit 1; }
updateSubmodules
cd "$lastFolder" || { echo "Couldn't cd into '$lastFolder'." 1>&2 && exit 1; }
}
runScript